Bug 13902 - JSON dsdbChange log messages split across multiple lines.
JSON dsdbChange log messages split across multiple lines.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.9.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-17 22:03 UTC by Gary Lockyer
Modified: 2019-05-21 09:35 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch for master. (1.08 KB, patch)
2019-04-18 02:58 UTC, Gary Lockyer
no flags Details
Gary's patch with subject line fixed in emacs, RB+ (1.14 KB, patch)
2019-04-18 03:10 UTC, Douglas Bagnall
dbagnall: review+
Details
Proposed patch for V4.10 (1.33 KB, patch)
2019-05-06 21:05 UTC, Gary Lockyer
abartlet: review+
Details
Proposed patch fo V4.9 (1.33 KB, patch)
2019-05-06 21:06 UTC, Gary Lockyer
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gary Lockyer 2019-04-17 22:03:52 UTC
Json log messages greater than 1024 butes are split into multiple lines in the log file with a trailin " >+" to indicate continuation.  This causes issues for log ingestion tools which expect valid JSON and single line messages.
Comment 1 Gary Lockyer 2019-04-18 02:58:35 UTC
Created attachment 15083 [details]
Proposed patch for master.

CI: https://gitlab.com/samba-team/devel/samba/pipelines/57329822
Comment 2 Douglas Bagnall 2019-04-18 03:10:07 UTC
Created attachment 15084 [details]
Gary's patch with subject line fixed in emacs, RB+
Comment 3 Gary Lockyer 2019-05-06 21:05:08 UTC
Created attachment 15123 [details]
Proposed patch for V4.10

CI: https://gitlab.com/samba-team/devel/samba/pipelines/59877675
Comment 4 Gary Lockyer 2019-05-06 21:06:48 UTC
Created attachment 15124 [details]
Proposed patch fo V4.9

CI: https://gitlab.com/samba-team/devel/samba/pipelines/59878999
Comment 5 Andrew Bartlett 2019-05-16 00:17:10 UTC
Please select for 4.9 and 4.10
Comment 6 Karolin Seeger 2019-05-16 10:09:04 UTC
(In reply to Andrew Bartlett from comment #5)
Pushed to autobuild-v4-{10,9}-test.
Comment 7 Karolin Seeger 2019-05-21 09:35:58 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!